slbackup (0.0.12-8) unstable; urgency=medium

  [ Petter Reinholdtsen ]
  * debian/po: Updated Japanese debconf translation. (Closes: #816344).
    Thanks to Takuma Yamada.

  [ Mike Gabriel ]
  * debian/po: Add Portuguese Brazilian debconf translation. (Closes: #816953).
    Thanks to Adriano Rafael Gomes.
  * debian/control:
    + Bump Standards-Version:to 3.9.8. No changes needed.
    + Use https:// URLs for Vcs-*: fields.
  * debian/{control,compat}:
    + Bump DH version level to 9.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 23 Jan 2017 13:59:26 +0100

slbackup (0.0.12-7) unstable; urgency=medium

  * debian/slbackup.dirs:
    + Make /var/lib/slbackup an owned directory. Fixes piuparts install/purgal
      test. (Closes: #706108).
  * debian/po:
    + Add Japanese DebConf translation file. (Closes: #718916). Thanks to
      "victory" for providing this!!!
  * debian/control:
    + Bump Standards: to 3.9.6. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 16 Jan 2015 10:56:14 +0100

slbackup (0.0.12-6) unstable; urgency=low

  * debian/slbackup.templates:
    + Typo fix in template text. (Closes: #718254).
  * debian/control:
    + Fix Vcs-* URLs. Packaging repo is in pkg-team subfolder of
      Alioth's debian-edu Git namespace.
    + Alioth-canonicalize Vcs-Git: field.
    + Bump Standards: to 3.9.5. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 20 Aug 2014 16:36:40 +0200

slbackup (0.0.12-5) unstable; urgency=low

  * Add patch 001_use-getopt-std.patch: use Getopt:Std instead of Perl 4 era
    library getopts.pl. (Closes: #696983).
  * /debian/control:
    + Use my DD address in Uploaders: field.
    + Package dependency list in multi-line format.
    + Drop libperl4-corelibs-perl from Depends: field.
    + Bump Standards: to 3.9.4, no changes needed.
  * /debian/postinst:
    + Make sure the backup directory (server_destdir) as configured via debconf
      gets created by postinst script.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 23 Apr 2013 13:42:44 +0200

slbackup (0.0.12-4) experimental; urgency=low

  * /debian/control:
    + New maintainer, package becomes team-maintained: Debian Edu Packaging
      Team.
    + Add former maintainer (Morten Werner Forsbring <werner@debian.org>) to
      Uploaders.
    + Bump Standards to 3.9.3.
    + Update Vcs locations in /debian/control. Packaging has moved to
      git.debian.org.
  * /debian/po/*:
    + Italian translation added, thanks to Beatrice Torracca.
      (Closes: #666917).
  * /debian/watch (new):
    + Watch for upstream tarball releases of slbackup.
  * Change in conffile management:
    + Drop CRON job /etc/cron.daily/slbackup. Re-enable configuration
      of slbackup via debconf templates (closes: #662914).
    + Remove conffile /etc/cron.daily/slbackup via dpkg−maintscript−helper.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 27 Jul 2012 10:24:56 +0200

slbackup (0.0.12-3) unstable; urgency=low

  * Fixed typo in cron-job (path to configfile). (Closes: #626884)
  * Bumped standards-version to 3.9.2
     - added dependency to libperl4-corelibs-perl | perl (<< 5.12.3-7) due
       to dependency to deprecated getopts.pl
     - added recommended build targets build-arch and build-indep to
       debian/rules
  * Translations
     - Dutch, thanks to Jeroen Schot. (Closes: #651046)
     - Vietnamese, thanks to Clytie Siddall. (Closes: #601932)

 -- Morten Werner Forsbring <werner@debian.org>  Thu, 05 Jan 2012 17:10:24 +0100

slbackup (0.0.12-2) unstable; urgency=low

  * Translations:
     - Chinese, thanks to YunQiang Su. (Closes: #586281)
     - Danish, thanks to Joe Dalton. (Closes: #586598)
     - Russian, thanks to Yuri Kozlov. (Closes: #569574)
     - Spanish, thanks to Omar Campagne. (Closes: #578034)

 -- Morten Werner Forsbring <werner@debian.org>  Sat, 10 Jul 2010 01:04:40 +0200

slbackup (0.0.12-1) unstable; urgency=low

  [ Finn-Arne Johansen ]
  * New upstream release
     - Encapsulate arguments/locations for rdiff-backup (Closes: #463087)

  [ Morten Werner Forsbring ]
  * Now shipping cronjob in /etc/cron.daily/ and not creating one in
    postinst (requirement from Debian Policy that it must be conffile).
  * Drop debconfig question about backuptime (cron will handle this).
  * Bumped standards-version to 3.8.4.
  * Bumped debhelper compatibility level to 7.
  * Moved debhelper to Build-Depends and bumped it to >= 7.
  * Updated debian/copyright.
  * Fixed Vcs-Browser URL due to Alioth upgrade, and move to SVN.
    (Closes: #528294)
  * Added Homepage-field to debian/control.
  * Translations:
     - Russian, thanks to Yuri Kozlov. (Closes: #529050)
  
 -- Morten Werner Forsbring <werner@debian.org>  Mon, 08 Feb 2010 16:26:46 +0100

slbackup (0.0.11-1) unstable; urgency=low

  [ Finn-Arne Johansen ]
  * New upstream release
     - Don't leave out things from config-file just because it looks like
       a C-Comment (Closes Skolelinux bug #1002)
  * Translations:
     - Swedish, thanks to Daniel Nylander (Closes: #351377)

  [ Morten Werner Forsbring ]
  * Changed my last name.
  * Bumped Standards-Version to 3.7.3 (no changes).
  * Added Vcs-Cvs- and Vcs-Browser-fields to debian/control.

 -- Morten Werner Forsbring <werner@debian.org>  Sun, 23 Dec 2007 13:47:39 +0100

slbackup (0.0.10-3) unstable; urgency=low

  * Fixed some minor errors in the debconf template. Thanks to
    Helge Kreutzmann. (Closes: #414595)
  * Unfuzzied the Norwegian bokmål and Swedish debconf translation.
  * Translations:
     - Czech, thanks to Miroslav Kure. (Closes: #421487)
     - Dutch, thanks to Bart Cornelis. (Closes: #423078)
     - French, thanks to Christian Perrier. (Closes: #421698)
     - German, thanks to Helge Kreutzmann. (Closes: #414586, #421470)
     - Portuguese, thanks to Rui Branco and Ricardo Silva. (Closes: #417924)
  
 -- Morten Werner Olsen <werner@debian.org>  Sun, 20 May 2007 02:05:44 +0200

slbackup (0.0.10-2) unstable; urgency=low

  * Bumped Standards-Version (no changes needed).
  * Translations:
     - Swedish, thanks to Daniel Nylander. (Closes: #351377)

 -- Morten Werner Olsen <werner@debian.org>  Wed, 22 Nov 2006 23:59:54 +0100

slbackup (0.0.10-1) unstable; urgency=low

  * New upstream release.
     - only test on server-type == or != 'local' to prevent errors when
       admins specify server-type as e.g. 'remote' and not 'extern'. :)
     - slbackup-cron doesn't fail when removal of old backups fail (this
       happens if no old backup's exist).

 -- Morten Werner Olsen <werner@debian.org>  Sat, 11 Feb 2006 10:52:37 +0100

slbackup (0.0.9-1) unstable; urgency=low

  * New upstream release.
     - slbackup-cron does "exit 1;" if backup failed for one of the backup
       clients. (Closes: #308508)
     - Added munin plugin to monitor the backups.

  * Changed my maintainer address. :)

 -- Morten Werner Olsen <werner@debian.org>  Fri,  3 Feb 2006 23:50:57 +0100

slbackup (0.0.8-1) unstable; urgency=low

  * New upstream release.
  * Replaced debconf-dependency with ${misc:Depends}.
  * Bumped Standards-Version to 3.6.2 (no changes).
  * Specifying debhelper compatibility level 4 in debian/compat, changing
    DESTDIR to debian/slbackup in debian/rules, and removing
    debian/conffiles (dh_installlogrotate handles this).
  * Rewriting debian/prerm a bit due to lintian-warning.
  * Translations:
     - Czech, thanks to Miroslav Kure. (Closes: #308544)
     - Vietnamese, thanks to Clytie Siddall. (Closes: #318385)

 -- Morten Werner Olsen <werner@skolelinux.no>  Sun,  4 Sep 2005 20:17:40 +0200

slbackup (0.0.7-3) unstable; urgency=low

  * Added dependency to libnet-dns-perl. (Closes: #291042)

 -- Morten Werner Olsen <werner@skolelinux.no>  Tue, 18 Jan 2005 14:06:51 +0100

slbackup (0.0.7-2) unstable; urgency=low

  * The dependency declaration to libconfig-general-perl has disappeared,
    adding it again. (Closes: #288085)

 -- Morten Werner Olsen <werner@skolelinux.no>  Sun,  2 Jan 2005 11:29:11 +0100

slbackup (0.0.7-1) unstable; urgency=low

  * New upstream release.
    - Added the exclude-option. (Closes: #274945)
    - Added running of scripts before and after backup session.
    - Added commandline options to slbackup-cron.
    - Added address checking in src/slbackup-cron.

 -- Morten Werner Olsen <werner@skolelinux.no>  Sun, 19 Dec 2004 14:31:21 +0100

slbackup (0.0.6-5) unstable; urgency=medium

  * Made the postinst script stop overwriting the configuration files on
    upgrade/install/reinstall. (Closes: #251195)
  * Fixing configuration files mess:
    - removed /etc/cron.d/slbackup and /etc/slbackup/slbackup.conf from
      debian/conffiles as they might be modified in postinst
    - started removing /etc/cron.d/slbackup on --purge
    - stopped touch'ing /etc/cron.d/slbackup and /etc/slbackup/slbackup.conf
      in debian/rules
  * Recoded debian/changelog to UTF-8.

 -- Morten Werner Olsen <werner@skolelinux.no>  Fri, 28 May 2004 19:28:52 +0200

slbackup (0.0.6-4) unstable; urgency=low

  * Added French Debconf-templates translation (thanks to
    Christian Perrier). (Closes: #237696)
  * Added Norwegian Debconf-templates translation (thanks to
    Jørgen Grønlund).

 -- Morten Werner Olsen <werner@skolelinux.no>  Sat, 27 Mar 2004 11:18:56 +0100

slbackup (0.0.6-3) unstable; urgency=low

  * Switching to the new gettext format for debconf templates (thanks
    to Martin Quinson for bugreport and patch). (Closes: #235492)
  * My english in the debconf-templates has been improved (thanks to
    Jørgen Grønlund and Martin Quinson).

 -- Morten Werner Olsen <werner@skolelinux.no>  Fri,  5 Mar 2004 09:31:50 +0100

slbackup (0.0.6-2) unstable; urgency=low

  * Lintian cleaned again (removed symlinks in /usr/doc)
  * Linda clean

 -- Morten Werner Olsen <werner@skolelinux.no>  Sat, 17 Jan 2004 17:19:47 +0100

slbackup (0.0.6-1) unstable; urgency=low

  * New upstream release (bugfix).
  * Lintian cleaned (symlinks in /usr/doc)

 -- Morten Werner Olsen <werner@skolelinux.no>  Sun, 30 Nov 2003 00:01:34 +0100

slbackup (0.0.5-1) woody-test; urgency=low

  * New upstream release (implementing deletion of old backups)

 -- Morten Werner Olsen <werner@skolelinux.no>  Wed, 12 Nov 2003 07:19:19 +0100

slbackup (0.0.4-5) woody-test; urgency=low

  * Bugfix: the configuration didn't handle "No" as an answer.

 -- Morten Werner Olsen <werner@skolelinux.no>  Wed, 12 Nov 2003 00:41:07 +0100

slbackup (0.0.4-4) woody-test; urgency=low

  * Now using debconf for configuring the package.

 -- Morten Werner Olsen <werner@skolelinux.no>  Wed, 12 Nov 2003 00:32:42 +0100

slbackup (0.0.4-3) woody-test; urgency=low

  * added suggestion to ssh in debian/control

 -- Morten Werner Olsen <werner@skolelinux.no>  Sun,  9 Nov 2003 11:55:35 +0100

slbackup (0.0.4-2) woody-test; urgency=low

  * changed logrotate to logrotate.d in debian/slbackup.dirs

 -- Morten Werner Olsen <werner@skolelinux.no>  Sun,  9 Nov 2003 11:41:12 +0100

slbackup (0.0.4-1) woody-test; urgency=low

  * New upstream release

 -- Morten Werner Olsen <werner@skolelinux.no>  Sat,  8 Nov 2003 10:44:59 +0100

slbackup (0.0.3-1) woody-test; urgency=low

  * fixing bug in cron-job

 -- Morten Werner Olsen <werner@skolelinux.no>  Sun,  2 Nov 2003 10:44:38 +0100

slbackup (0.0.2-1) woody-test; urgency=low

  * Added /usr/share/doc/slbackup/examples/ with one example on how
    to configure slbackup on a combined server / LTSP-server Skolelinux
    installation.
  * now using dh_installdirs and dh_installdocs

 -- Morten Werner Olsen <werner@skolelinux.no>  Sun,  2 Nov 2003 00:02:34 +0100

slbackup (0.0.1) woody-test; urgency=low

  * Initial Release.

 -- Morten Werner Olsen <werner@skolelinux.no>  Sat,  1 Nov 2003 11:44:47 +0100

